# WackyLeaderBoard 

![Reward Chests](https://wackymole.com/hosts/rewardchests.png)
## Overview

Welcome to WackyLeaderBoard, an exciting Valheim mod that introduces a dynamic leaderboard system and special reward chests to enhance the multiplayer experience. This mod aims to celebrate player achievements by tracking successful endeavors, such as boss defeats, and providing rewards through a unique trophy system. Additionally, admins can deploy special reward chests, each with distinct loot possibilities, to add an extra layer of excitement to your Valheim adventures.

### Features

- Leaderboard system with achievement tracking.
- Trophy box rewards for boss defeats.
-  Admin UI for leaderboard customization.
-  Six different reward chest types with diverse loot possibilities.
-  Admin UI for configuring reward chests.


## Installation

1. **Download:** Obtain the WackyLeaderBoard mod from the official mod repository or other trusted sources.

2. **Extract Files:** Unzip the downloaded files to a location of your choice.

3. **Copy to Valheim Directory:** Copy the mod files into the "BepInEx" folder within your Valheim game directory.

4. **Run Valheim:** Start Valheim to experience the WackyLeaderBoard mod in action.

## Usage

### Leaderboard System

![LeaderBoard](https://wackymole.com/hosts/fullleaderboard.png)

1. **Achievement Tracking:** As players defeat bosses, their achievements are automatically tracked on the leaderboard. Information includes the player's name, the date they first beat the boss, and the total number of times the player has conquered the boss.

2. **Top 3 Highlight:** The top 3 players with the most boss defeats are highlighted on the leaderboard.

![LeaderBoard Close](https://wackymole.com/hosts/leaderboardclose.png)

3. **Trophy Rewards:** Players receive rewards from the trophy box associated with each boss. The rewards vary based on the first success and subsequent victories.

4. **Admin UI:** Admins can use the provided UI to customize leaderboard settings and manage the trophy rewards.

![LeaderBoard UI](https://wackymole.com/hosts/leaderboardui.png)

</br>****

### Reward Chest System

![LeaderBoard Chest UI](https://wackymole.com/hosts/onechesthover.png)

1. **Place Chests:** Admins can place down the six different types of reward chests in the game world.

2. **Diverse Loot:** Each chest type offers unique loot possibilities, providing players with exciting rewards.

3. **First Opening Rewards:** By default, players receive loot from the chest only the first time it is opened.

4. **Admin UI:** Admins can use the provided UI to configure the reward chests and tailor the loot to their server's preferences.

![LeaderBoard Chest UI](https://wackymole.com/hosts/rewardui.png)


## <span style="color:red"> Semi-Private Mod </span>

WackyLeaderBoard is intended for semi-private use. It is primarily designed for my Server (whenever that happens) and the forthcoming Legends Rift. https://valheim.thunderstore.io/package/The_Legends_Rift/Legend_Rift/ 

<span style="color:red">This mod is configured to work in single-player mode only. Cooperative play or dedicated servers will auto-abort when attempting to use WackyLeaderBoard. </span>

Feel free to download and enjoy WackyLeaderBoard on your local world.

<span style="color:red;font-size:27px"> <b> TLDR. This mod will not work on your Server! </b></span>

## Feedback and Support

Your feedback is valuable for improving WackyLeaderBoard. 

## Credits

WackyLeaderBoard is brought to you by WackyMole. Special thanks to the Valheim modding community for support and inspiration.


## Disclaimer

WackyLeaderBoard is a third-party modification and is not officially endorsed or supported by the developers of Valheim. Use the mod at your own risk. Always back up your game saves before installing mods.

Enjoy the wacky adventures with WackyLeaderBoard!


[![KeyManager Disclaimer](https://noobtrap.eu/images/keymanager_disclaimer_server.png)](https://key.sayless.eu/faq.php)